##
##  mdbtools.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2012 OpenPKG Foundation e.V. <http://openpkg.net/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         mdbtools
Summary:      MDB Format Tools
URL:          http://mdbtools.sourceforge.net/
Vendor:       Brian Bruns et al.
Packager:     OpenPKG Foundation e.V.
Distribution: OpenPKG Community
Class:        PLUS
Group:        Database
License:      LGPL/GPL
Version:      0.6pre1
Release:      20120713

#   list of sources
Source0:      http://switch.dl.sourceforge.net/mdbtools/mdbtools-%{version}.tar.gz
Patch0:       mdbtools.patch

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20100101, flex, bison, pkgconfig, gcc
PreReq:       OpenPKG, openpkg >= 20100101
BuildPreReq:  readline, ncurses, libiconv, gettext, glib
PreReq:       readline, ncurses, libiconv, gettext, glib

%description
    The MDB Tools project is a effort to document the MDB file format
    used in Microsoft's Access database package, and to provide a set
    of tools and applications to make that data available on other
    platforms. Specifically, MDB Tools includes programs to export
    schema and data. Also included is a SQL engine for performing simple
    SQL queries. MDB Tools currently has read-only support for Access 97
    (Jet 3) and Access 2000/2002 (Jet 4) formats only.

%track
    prog mdbtools = {
        version   = %{version}
        url       = http://mdbtools.sourceforge.net/
        regex     = mdbtools-(__VER__)\.tar\.gz
    }

%prep
    %setup -q
    %patch -p0

%build
    CC="%{l_cc}" \
    CFLAGS="%{l_cflags -O}" \
    CPPFLAGS="%{l_cppflags}" \
    LDFLAGS="%{l_ldflags}" \
    ./configure \
        --prefix=%{l_prefix} \
        --disable-shared
    %{l_make} %{l_mflags}

%install
    %{l_make} %{l_mflags} install AM_MAKEFLAGS="DESTDIR=$RPM_BUILD_ROOT"
    strip $RPM_BUILD_ROOT%{l_prefix}/bin/* >/dev/null 2>&1 || true
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

